﻿init:   
    define nar = NVLCharacter(None, kind=nvl)
    define nvldef = NVLCharacter(None, kind=nvl, window_style="nvldef")
    define w = Character("Waiter", show_two_window=True, show_who_xalign=0.5, window_background="images/speech-right.png")
    define doc = Character("Nolan", show_two_window=True, show_who_xalign=0.5,window_background="images/speech-center.png")
    define docr = Character("Nolan", show_two_window=True, show_who_xalign=0.95,window_background="images/speech-right.png")
    define nurse = Character("Nurse", show_two_window=True, show_who_xalign=0.05, window_background="images/speech-left.png", callback=speaker("nurse"))
    define lawyer = Character("Lawyer", show_two_window=True, show_who_xalign=0.95, window_background="images/speech-right.png", callback=speaker("lawyer"))      
    define nurse2 = Character("Nurse", show_two_window=True, show_who_xalign=0.95, window_background="images/speech-right.png", callback=speaker("nurse2"))
    define pc = Character(None, what_italic=True, style="nvlchar")
    define pcs = Character("Jacqueline", show_two_window=True, show_who_xalign=0.5, window_background="images/speech-left.png")
    define k = Character("Kimber", show_two_window=True,show_who_xalign=0.5, window_background="images/speech-center.png")
    define kl = Character("Kimber", show_two_window=True,show_who_xalign=0.05, window_background="images/speech-left.png")    
    define kr = Character("Kimber", show_two_window=True,show_who_xalign=0.5, window_background="images/speech-right.png")
    define dr = Character("Delilah", show_two_window=True, show_who_xalign=0.5, window_background="images/speech-right.png")
    define dl = Character("Delilah", show_two_window=True, show_who_xalign=0.05, window_background="images/speech-left.png")
    define d = Character("Delilah", show_two_window=True, show_who_xalign=0.5, window_background="images/speech-center.png")
    define sr = Character("Sasha", show_two_window=True, show_who_xalign=0.95, window_background="images/speech-right.png")
    define sr2 = Character("Sasha", show_two_window=True, show_who_xalign=0.5, window_background="images/speech-right.png")
    define s = Character("Sasha", show_two_window=True, show_who_xalign=0.5, window_background="images/speech-center.png")
    define c = Character("Charles", show_two_window=True, show_who_xalign=0.5, window_background="images/speech-center.png")
    define cr = Character("Charles", show_two_window=True, show_who_xalign=0.5, window_background="images/speech-right.png")    
    define shortnvl = NVLCharacter(None, kind=nvl, window_style="shortnvl")
    define nvlleft = NVLCharacter(None, kind=nvl, window_style="nvlleft")
    define nvlbottom = NVLCharacter(None, kind=nvl, window_style="nvlbottom")
    define neutral = Character("[neutralchar]", show_two_window=True, show_who_xalign=0.5, window_background="images/speech-none.png")
    define pcn = Character("", show_two_window=True, show_who_xalign=0.5, window_background="images/speech-none.png", what_italic=True)

    $ renpy.music.register_channel("soundbg", "sfx", True)
    $ renpy.music.register_channel("soundbg2", "sfx", True)
    $ renpy.music.register_channel("soundbg3", "sfx", False)
    $ renpy.music.register_channel("soundbg4", "sfx", True)
    $ renpy.music.register_channel("soundbg5", "sfx", False)
    $ renpy.music.register_channel("musictrack", "music", True)
   
    image splash:
        "images/luckyspecial.png"
        xalign 0.5 yalign 0.5
    image title = "images/menus/mainmenu_ground.png"
    image scenesmenu = "images/menus/scenes.png"
    image road = "images/road.png"       
    image dnvl = "images/dnvl.png"
    image knvl = "images/knvl.png"
    image snvl = "images/snvl.png"
    image white = "images/whitebg.png"
    image green = "images/greenbg.png"
    image door = "images/door.png"
    image doorbw = im.Grayscale("images/door.png")    
    image curtain = "images/curtain.png"
    image faucet = "images/faucet.png"
    image car = "images/car.png"
    image logo = "images/title.png"
    image phone = "images/phone.png"
    image phone2 = "images/phonetext.png"
    image cracked = "images/crackedbg.png"
    image restaurant = "images/restaurant.png"
    image charles regular = "images/charles.png"
    image charles leave = im.Flip("images/charles.png", horizontal=True)
    image jac = "images/jac.png"
    image waiter = "images/waiter.png"
    image tray = "images/servingtray.png"
    image bistro = "images/bistro.png"
    image office = "images/office-fg.png"
    image kimber = "images/kimber.png"
    image delilah = "images/delilah.png"
    image sasha = "images/sasha.png"
    image cave = "images/cave.png"
    image windowpic = "images/window.png"
    image dungeon = "images/dungeon.png"
    image screendoor =  im.Grayscale("images/screendoor.png")
    image doctor = "images/frame_n.png"
    image fan = im.Grayscale("images/fan2.png")
    image drawer = im.Grayscale("images/drawer.png")
    image headlights = "images/headlights.png"
    image lock = At("images/titlelocked.png", lock)
    image unlock = At("images/titleunlocked.png", lock)
    image completedendings = "images/menus/luckyspecialapproves.png"
    image skey = "images/skey.png"
    image dkey = "images/dkey.png"
    image kkey = "images/kkey.png"    
    image darksky = im.MatrixColor(im.Tile("images/tiles/sky_tile.png"), im.matrix.brightness(-0.5))       
    image sky = LiveTile("images/tiles/sky_tile.png")
    image restaurantbgzoom = im.FactorScale(im.Tile("images/tiles/restaurant_tile.png"), 1.5, 1.5)
    image bistrobg = LiveTile("images/tiles/bistro_tile.png")
    image restaurantbg = LiveTile("images/tiles/restaurant_tile.png")
    image officebg = LiveTile("images/tiles/office_tile.png")
    image wallpaper = LiveTile("images/tiles/wallpaper_tile.png")
    image airplane:
        "images/airplane.png"
        xalign -0.1 yalign 0.15
        linear 45.0 xalign 1.1     
    image rbracket = At("images/right-bracket.png", rbracket)
    image lbracket = At("images/left-bracket.png", lbracket)    
    define longdissolve = Dissolve(3.0)    
    image branches:
        "images/branches.png"
        xalign 0.0, yalign 0.0        
    image branches gray:            
        Transform (im.Grayscale("images/branches.png"))
        xalign 0.0, yalign 0.0    
    
    image lawyer:
        xalign 1.0 yalign 0.0
        LiveComposite(
        (248,350),
        (0,0), "images/vulture.png",
        (11, 225), WhileSpeaking("lawyer",
        Animation("images/beak5.png", 0.2, "images/beak6.png", 0.2)),
        )
    
    image nurse:
        xalign 0.0 yalign 0.0
        LiveComposite(
        (183, 333),
        (0,0),"images/nurse.png",
        (122,257), WhileSpeaking("nurse", Animation("images/beak1.png",0.2,"images/beak2.png",0.2)),
        )
        
    image nurse2:
        xalign 1.0 yalign 0.0
        LiveComposite(
        (193, 340), 
        (0, 0),"images/nurse2.png",
        (0,264), WhileSpeaking("nurse2", Animation("images/beak3.png",0.2,"images/beak4.png",0.2)),
        )
                
    image nursefly:
        "images/nursefly.png"
        xalign 0.7 yalign 0.2
        
    image nursefly2:
        Transform (im.Flip("images/nursefly.png", horizontal=True))
        xalign 0.25 yalign 0.2        

    image nurseaction = im.Flip("images/nurseattack.png", horizontal=True)
    image nurseaction2 = "images/nurseattack.png"        
    image cloudgray = im.Grayscale("images/cloud1.png")
    image cloudgray2 = im.Grayscale("images/cloud2.png")
    image def1 = ParameterizedText(ypos=100, xalign=0.5, size=50)
    image def1a = ParameterizedText(text_align=0.5, ypos=150, xalign=0.5, size=25)        
    image def2 = ParameterizedText(text_align=0.5, ypos=250, xalign=0.5, size=30)
    image def3 = ParameterizedText(text_align=0.5, ypos=400, xalign=0.5, size=30)
    image def3b = ParameterizedText(text_align=0.5, ypos=550, xalign=0.5, size=25)    
    image charname = ParameterizedText(yalign=0.1, size=50, font="Leander.ttf")
    image chartitle = ParameterizedText(yalign=0.9, size=30, font="Leander.ttf")    
    image creditsheader = ParameterizedText(size=90, font="Leander.ttf")
    image credits = ParameterizedText(xalign=0.5, text_align=0.5, size=25)    
    image snow = Snow("images/snowflake.png")
    
    if persistent.unlocked is None:
        $ persistent.unlocked = False    
    if persistent.endings is None:
        $ persistent.endings = 0
    if persistent.ending1 is None:
        $ persistent.ending1 = False
    if persistent.ending2 is None:
        $ persistent.ending2 = False
    if persistent.ending3 is None:
        $ persistent.ending3 = False        
    if persistent.ending4 is None:
        $ persistent.ending4 = False
    if persistent.ending5 is None:
        $ persistent.ending5 = False
    if persistent.ending6 is None:
        $ persistent.ending6 = False
    if persistent.ending7 is None:
        $ persistent.ending7 = False
    if persistent.ending8 is None:
        $ persistent.ending8 = False        
    if persistent.seenintro is None:
        $ persistent.seenintro = False
    if persistent.recollect is None:
        $ persistent.recollect = False
    if persistent.decision is None:
        $ persistent.decision = False
    if persistent.endingscomplete is None:
        $ persistent.endingscomplete = False 
    if persistent.credits is None:
        $ persistent.credits = False
   
label splashscreen:
    scene black
    play soundbg3 "sounds/coins.ogg" fadein 1.0 fadeout 1.0
    show splash with longdissolve
    $ renpy.pause(2.0)
    scene black with fade            
    return    
    
label start:
    $ kimber = False
    $ delilah = False
    $ sasha = False 
    $ neutralchar = ""
    stop music fadeout 0.5    
    if persistent.seenintro:   
        scene scenesmenu with fade
        menu:
            "Introduction":
                pass
            "Act I: Accident":
                jump skipintro
            "Act II: Recollect" if persistent.recollect==True:
                jump recollect
            "Act III: Decision" if persistent.decision==True:
                jump decision
            "Credits" if persistent.credits==True:
                jump credits
    else:
        pass              
    scene black with fade          
    $ config.allow_skipping = False
    $ renpy.pause(1.0)
    play soundbg "sounds/storm.ogg" fadein 1.0
    show trees2 at introbg
    show trees1 at introbg
    show rain at introbg
    $ renpy.pause(5.0)  
    play soundbg3 "sounds/lafouleclip.ogg"
    play soundbg5 "sounds/wetroad.ogg" fadein 1.0 fadeout 1.0
    show car at intro behind trees1
    $ renpy.pause(8, hard=True)
    show lightning at lightning behind trees1
    $ renpy.pause(2, hard=True)
    play soundbg3 "sounds/accident.ogg"  
    $ renpy.pause(10.0, hard=True)
    play musictrack "music/EdithPiaf-LaFoule.ogg" fadein 1.0 fadeout 1.0
    show logo at logo
    $ renpy.pause(10.0, hard=True)
    play soundbg3 "sounds/ambulance.ogg" fadein 1.0 fadeout 1.0
    play soundbg5 "sounds/wetroad.ogg" fadein 1.0 fadeout 1.0
    $ renpy.pause(2.0, hard=True)
    show ambulance at intro behind trees1
    $ renpy.pause(7.0, hard=True)
    hide logo
    hide trees1
    hide trees2
    hide rain
    $ renpy.pause(4.0, hard=True)   
    stop soundbg3 fadeout 1.0
    stop soundbg fadeout 1.0 
    stop musictrack fadeout 5.0
    $ config.allow_skipping = True
    $ persistent.seenintro = True

label skipintro:
    $ renpy.block_rollback()    
    scene black with fade
    show def1 "accident" at basicfade
    $ renpy.pause(0.5)        
    show def1a "[[{b}ak{/b}-si-d{i}uh{/i}nt] {i}noun{/i}" at basicfade
    $ renpy.pause(2.0)
    show def2 "1. An undesirable or unfortunate happening that occurs unintentionally and usually results in harm, injury, damage, or loss; casualty; mishap: {i}automobile accidents{/i}." at basicfade
    $ renpy.pause(4.0)
    show def3 "5. a fortuitous circumstance, quality, or characteristic." at basicfade
    $ renpy.pause(3.0)
    scene black with longdissolve
    play soundbg "sounds/iv-machine.ogg" fadein 1.0 fadeout 1.0
    play soundbg2 "sounds/monitor.ogg" fadein 1.0 fadeout 1.0
    nar "\n\n\n\nI'm not blind.  Not totally.  I can detect light."
    nvl clear
    show cave with longdissolve  
    nar "\n\n\n\nSometimes it's pitch black, like being in a cave."
    scene white with longdissolve
    nvl clear
    nar "\n\n\n\n\nOther times it's bright, white."
    show cloudgray at cloud1
    show cloudgray2 at cloud2
    nar "It's like being on a frozen tundra or some icy Jovian moon.  I feel cold.  There's nothing to see and nowhere to go."
    nar "I can't open my eyes.  Can't move.  Can't speak." 
    nar "I can hear.  I know I'm in the hospital.  I know there was some kind of accident."
    nar "What the hell happened to me?"
    scene black with fade   
    hide cloudgray
    hide cloudgray2
    stop soundbg fadeout 1.0
    stop soundbg2 fadeout 1.0
    $ renpy.pause(2.0)    
    nvl clear
    
    #clock transition
    play soundbg "sounds/clock.ogg" fadein 2.0
    show clock at basicfade
    show minutehand at minutesforward, basicfade
    show hourhand at hoursforward6, basicfade  
    $ renpy.pause(4.0)
    stop soundbg fadeout 2.0
    
    scene white 
    show branches
    with longdissolve
    show cloud1 at cloud1   
    play soundbg "sounds/iv-machine.ogg" fadein 1.0 fadeout 1.0
    play soundbg2 "sounds/monitor.ogg" fadein 1.0 fadeout 1.0   
    show nurse at basicfade
    show nurse2 at basicfade
    nurse "...I was surprised when I heard.  Dr. Nolan's never on call that early."
    play soundbg3 ["sounds/curtains.ogg", "sounds/faucet.ogg", "sounds/rustling.ogg", "sounds/clothrustle.ogg"] 
    show curtain at curtain   
    nurse2 "She's a family friend or something.  I think she knows the wife."      
    show faucet at faucet   
    nurse "Hm, I guess that's why she got here so fast. I still can't believe Jacqueline Brown is in a coma here, at our hospital."
    nurse2 "Brought her down a peg, I bet."
    show cloud3 at cloud3  
    show lbracket
    show rbracket
    pc "Not likely.  Don't you have a bed pan to change somewhere?"
    hide lbracket
    hide rbracket
    nurse "Watch yourself."
    show cloud4 at cloud4
    nurse2 "I tell it like I see it."
    nurse "Well, tell it silently, in your mind."
    nurse2 "All right, all right."
    hide nurse
    hide nurse2
    show nursefly at fly
    show nursefly2 at fly
    stop soundbg3
    show door at door
    play soundbg3 "sounds/doorclose.ogg" 
    $ renpy.pause(3.0)
    scene cave with fade
    nar "They turn off the lights whenever I'm alone in here.  A wing in this hospital is named after my family.  You'd think they could spare the electricity."
    nar "They think I'm some kind of vegetable.  They don't know I can hear, that I can detect light, that I'm aware."    
    nar "It doesn't make sense, but it gives me time to think and figure this thing out."   
    nar "Most people would go crazy sitting in the dark."
    nar "Fortunately, I'm not most people."
    nar "Now, let's get a little color in here..."
    nvl clear    
    stop soundbg fadeout 1.0
    stop soundbg2 fadeout 1.0
    stop soundbg3
    scene wallpaper with fade
    nar "That's a start."
    show furniture at furniture
    $ renpy.pause(2.0)
    nvl clear
    nar "And some music..."    
    $ renpy.music.set_volume(0.3, 2, channel="musictrack")
    play musictrack "music/EdithPiaf-LaVieEnRose.ogg" fadein 3.0
    $ renpy.pause(1.0)    
    nvl clear
    nar "Ah, much better.  But not quite..."    
    show chandelier at chandelier
    $ renpy.pause(2.0)
    nvl clear
    nar "There, perfect."   
    nvl clear
    nar "One of my psychology professors once told me to imagine the subconscious as a room, my own personal room.  He asked what type of room it would be, what type of wallpaper it would have, stuff like that."
    nar "I told him I'd have a room with a long entry, covered in gold leaf floor to ceiling, with a massive chandelier.  When visitors came, they would be humbled."
    nar "He asked me what I thought that said about my personality, and I told him hell if I knew, he was the psychologist."
    nar "I got an A in that class, just like all the others, but on my final he wrote, 'Be Good.'  Just like that, capital B, capital G."
    nar "I'd forgotten about that until now.  I haven't thought about him in years, but now that I'm sitting in my gold leaf room, trying to sort this thing out, it all comes back to me."
    nar "Be Good.{w=1.0}  Be Good.{w=1.0}  Be Good. {w=1.0} Be Good, Jacqueline."
    nvl clear
    stop musictrack fadeout 2.0
    scene black with longdissolve
    #clock transition
    play soundbg "sounds/clock.ogg" fadein 2.0
    show clock at basicfade
    show minutehand at minutesforward, basicfade
    show hourhand at hoursforward3, basicfade  
    $ renpy.pause(4.0)
    stop soundbg fadeout 2.0

    scene white with longdissolve
    show cloud3 at cloud3
    play soundbg "sounds/iv-machine.ogg" fadein 1.0 fadeout 1.0
    play soundbg2 "sounds/monitor.ogg" fadein 1.0 fadeout 1.0
    show cloud1 at cloud1
    nvl clear
    nar "\n\n\n\n\nI learned something today."
    nar "I can barely move my left little finger.  At first I thought I was imagining things, imagining the sensation of movement, but then I heard {nw}"
    play soundbg3 ["sounds/fabric.ogg", "sounds/fabric.ogg"]
    extend "the sound of the sheet under my nail."
    nar "That's all I need to hear.  It means I can get better.  I {i}will{/i} get better."
    nar "But I still have to figure out what happened."
    nar "I keep thinking back, trying to remember."    
    stop soundbg fadeout 1.0
    stop soundbg2 fadeout 1.0
    nvl clear
    play musictrack "music/LightlessDawn.ogg" fadein 1.0
    scene black with fade
    nar "It was raining hard.  I heard one of the nurses say it rained nearly six inches that night."
    show rain at basic
    play soundbg "sounds/storm.ogg" fadein 1.0
    nar "It was dark, past midnight. The road was deserted."
    show road at basic behind rain
    show lightning at lightning behind road
    nar "Charles was driving{w=1.0}--Wait, no he wasn't.  {i}I{/i} was driving."
    nar "I never drive.  Charles must have been sick.  But...{w=1.0} No, that can't be right.  Charles is never sick.  That's why I hired him."
    show lightning at lightning behind road
    nar "Where was Charles?"
    play soundbg3 "sounds/elevator.ogg"    
    nar "There was a sound."
    play soundbg3 "sounds/cellphonevibrate.ogg" fadein 0.5
    show phone at basiccenter   
    nar "That's right, there was a phone call.  I had the phone on vibrate and I could barely hear it over the rain.  I reached for it--"  
    show lightning at lightning behind road
    play soundbg3 "sounds/doorclose.ogg"
    show doorbw at door
    $ renpy.pause(1.0)
    hide rain
    stop soundbg fadeout 0.5    
    stop soundbg2 fadeout 0.5
    $ renpy.music.set_volume(0.0, 2, channel="musictrack")   
    nvl clear
    scene white with fade
    show cloud2 at cloud2
    play soundbg "sounds/iv-machine.ogg" fadein 1.0 fadeout 1.0
    play soundbg2 "sounds/monitor.ogg" fadein 1.0 fadeout 1.0
    show rbracket
    show lbracket
    pc "Seems early for the nurses. {w}Seems... quiet for the nurses.  Who is that?"
    show cloud1 at cloud1
    hide rbracket
    hide lbracket
    show kframe at framecenter
    k "Jacqueline, it's me."
    hide cloud1
    hide cloud2
    stop soundbg fadeout 2.0
    stop soundbg2 fadeout 2.0
    $ renpy.music.set_volume(1.0, 2, channel="musictrack")
    scene knvl with fade
    show kfull at charintro
    show charname "Kimber"
    show chartitle "Dedicated Assistant"
    with easeinleft    
    shortnvl "\nMy loyal assistant, Kimber.  There was a time I thought you'd do anything for me.  That was before I figured out you were stealing from the company, slicing off tiny slivers here and there and stashing them away in your own private piggy bank."    
    shortnvl "You were supposed to shred the 'special' files if anything ever happened to me.  Did you shred the files?{w=1.0}  Have you remained loyal?{w=1.0}  Can I trust you?{w=1.0} I wonder."   
    $ renpy.music.set_volume(0.0, 2, channel="musictrack")
    hide kfull
    "{nw}"    
    hide charname
    hide chartitle
    with easeoutright    
    $ renpy.pause(1.0)
    nvl clear
    scene white
    show cloud2 at cloud2
    show kframe:
        xalign 0.5 yalign 0.3, basicfade   
    with fade
    play soundbg "sounds/iv-machine.ogg" fadein 1.0 fadeout 1.0
    play soundbg2 "sounds/monitor.ogg" fadein 1.0 fadeout 1.0   
    k "Dr. Nolan says you're in a persistent coma and you might never recover."
    show lbracket
    show rbracket
    pc "Nolan is no fool.  She has to know I'm awake.  Why hasn't she told anyone?"
    hide lbracket
    hide rbracket  
    play soundbg3 "sounds/elevator.ogg"
    show elevator at elevator
    k "Meacham is going to take over the firm, I just know it.  I wish I had a way to fight back, to protect everything you've built.  I wish I knew if you were still in there, somewhere."
    play soundbg3 "sounds/doorclose.ogg"
    show door at door
    k "If only you could give me a sign--"
    show dframe at frameleft 
    dl "What do you think you're doing?"
    hide cloud2
    stop soundbg fadeout 2.0
    stop soundbg2 fadeout 2.0
    $ renpy.music.set_volume(1.0, 2, channel="musictrack")
    scene dnvl with fade
    show dfull at charintro
    show charname "Delilah"
    show chartitle "Loving Spouse"
    with easeinleft    
    shortnvl "My soon-to-be ex-wife, Delilah. Intelligent, beautiful, resourceful... She's everything a CEO's wife should be, except for the part where she loves the firm more than me."
    shortnvl "She wanted to be involved in major business decisions, but I disagreed, and the fights got ugly. I was going to file for divorce. I'd already filled out the papers."
    shortnvl "Oh, Delilah. No matter what happens to me, I'm sure you'll find a way to take care of yourself.  You always do.  It's what I love about you."
    $ renpy.music.set_volume(0.0, 2, channel="musictrack")
    hide dfull
    "{nw}"
    hide charname
    hide chartitle
    with easeoutright
    $ renpy.pause(1.0)
    nvl clear
    scene white 
    show cloud3 at cloud3
    show kframe:
        xalign 0.5 yalign 0.3, basicfade   
    show dframe:
        xalign 0.0 yalign 0.3, basicfade
    play soundbg "sounds/iv-machine.ogg" fadein 1.0 fadeout 1.0
    play soundbg2 "sounds/monitor.ogg" fadein 1.0 fadeout 1.0
    dl "You're bringing business in here?  She needs her rest."
    show rbracket
    show lbracket
    pc "Oh, I'm getting plenty of that, trust me."
    hide rbracket
    hide lbracket    
    k "Spare me. I bet you've already ransacked her home office. How about the divorce papers?  Did you find those?"
    dl "You'll have a hard time proving Jackie wanted a divorce."
    play soundbg3 "sounds/elevator.ogg"
    show elevator at elevator
    k "Proof?  You want proof?  I have copies."
    dl "In your handwriting?" 
    play soundbg3 "sounds/doorclose.ogg"
    show door at door
    show sframe at frameright
    sr "Both of you have to get out of here."
    dl "Excuse me?"
    k "I have just as much right--"
    sr "I can feel your negative energy all the way on the other side of the building.  It's bad for Jac's spirit.  How can you expect her to recover with you two hovering around spreading your toxins everywhere?"
    dl "...Toxins?"
    k "Forget this, I have somewhere to be."
    hide kframe at framecenter
    dl "Sasha, I can see you're upset, but Jackie's my wife. I'm entitled to see her. If you want privacy, fine.  Ten minutes."
    hide dframe at frameleft 
    play soundbg3 "sounds/doorclose.ogg"
    show door at door
    sr "...So, this is it, Jac."
    hide cloud3
    stop soundbg fadeout 2.0
    stop soundbg2 fadeout 2.0
    $ renpy.music.set_volume(1.0, 2, channel="musictrack") 
    scene snvl with fade
    show sfull at charintro 
    show charname "Sasha"
    show chartitle "Younger Sister"
    with easeinleft    
    shortnvl "Sasha, my kid sister.  We're in our forties, but she'll always be a kid to me. Always three years behind... ten steps behind... four million dollars behind... You never thought ahead, not like I did.  You skipped out on the company when times got rough. When things improved, and you wanted back in, I said no."
    shortnvl "I know you never forgave me for it. Family is supposed to stick together, but you were a financial liability and we both knew it.  In our family, business always comes first."
    stop musictrack fadeout 1.0
    hide sfull
    "{nw}"
    hide charname
    hide chartitle
    with easeoutright  
    $ renpy.pause(1.0)
    nvl clear
    play soundbg "sounds/iv-machine.ogg" fadein 1.0 fadeout 1.0
    play soundbg2 "sounds/monitor.ogg" fadein 1.0 fadeout 1.0
    scene white with fade
    show cloud4 at cloud4
    show sframe:
        xalign 0.5 yalign 0.3, basicfade
    s "I knew something bad would happen to you one of these days."
    show rbracket
    show lbracket
    pc "Is this the part where you prattle on about karma or whatever new thing you're into?  Did you divine this in mail-order tea leaves or the dregs of your Starbucks cup?"
    hide lbracket
    hide rbracket
    s "Apparently Dr. Nolan says you're comatose and you might never wake up."
    show rbracket
    show lbracket
    pc "That's a nasty rumor going around."
    hide rbracket
    hide lbracket
    s "She won't give me the time of day and the staff won't let me see your records. This is horseshit. {w} I know you're in there, Jac.  I know you can hear me.  You've got a strong spirit, stronger than anyone I've ever known.  If anyone can pull through this thing, it's you."
    show rbracket
    show lbracket
    pc "Normally, this is the point where I'd make some snide joke about auras or chakras.  But... damn it, she sounds like she really means it.  I... {w}I didn't realize how much I missed her."    
    hide rbracket
    hide lbracket
    show cloud1 at cloud1
    s "You and I haven't been on speaking terms in a long time.  Maybe I shouldn't be here, maybe you need time alone so you can heal. But all of this feels so wrong."
    s "You're in a coma and the lawyer is dead, and I don't believe in coincidences.  The police say Brenda committed suicide around midnight, but it doesn't feel right.  I remember Brenda.  She wouldn't just take a handful of pills and call it a night."
    play soundbg4 "sounds/heartbeat.ogg"
    show rbracket
    show lbracket
    pc "Wait, Brenda...?"
    hide rbracket
    hide lbracket
    s "I can't let it go.  I won't let it go.  I'm going to find out what happened, whether you can hear me or not.  Whether you care or not.  I owe you that much, at least."
    hide sframe at framecenter
    play soundbg3 "sounds/doorclose.ogg"
    show door at door
    show rbracket
    show lbracket
    pc "Brenda's... {w}dead?"    
    hide rbracket
    hide lbracket
    hide cloud1
    hide cloud4
    stop soundbg fadeout 1.0
    stop soundbg2 fadeout 1.0
    stop soundbg3 fadeout 1.0
    scene wallpaper with fade
    show furniture:
        xalign 0.5 yalign 0.9, basicfade
    show chandelier:
        yalign 0.0 xalign 0.5, basicfade
    nar "People like me don't have friends.  We have 'trusted advisers.'"
    nar "Brenda was my most trusted adviser.  She protected me from the board, from my wife, from my family.  {w}Sometimes she even protected me from myself."
    nar "I remember now, I was going to see her.  It was supposedly about the divorce papers and some other things, but that was a pretense.  I just wanted to talk, really talk, with someone who understood me.  I felt like I was at the end of my rope."
    nar "Brenda has been my lawyer for decades.  I went to see her at her home office all the time, often late."
    nar "There's no such thing as coincidence."
    stop soundbg4 fadeout 2.0
    nar "Rewind, Jacqueline.  Think."
    nvl clear       
    scene black with wipeleft
    nar "It was dark.  It was raining."
    nvl clear
    show road at basic
    show rain at basic
    play soundbg "sounds/storm.ogg"
    nar "Someone called."
    play soundbg2 "sounds/cellphonevibrate.ogg"
    show phone at basiccenter    
    nar "I reached for the phone."
    show lightning at lightning behind road
    play soundbg3 "sounds/carcrash.ogg"
    $ renpy.pause(1.0)
    nvl clear            
    scene cracked    
    nar "What am I forgetting?"
    nar "Why is it so hard to remember?"
    stop soundbg fadeout 1.0
    stop soundbg2 fadeout 1.0
    stop soundbg3 fadeout 1.0
    nar "Think, Jacqueline.  {i}Think.{/i}"
    nvl clear   
    scene black with fade
    $ renpy.pause(1.0)
    
label recollect:
    $ renpy.music.set_volume(0.0, 0.0, channel="musictrack")
    $ persistent.recollect = True
    $ renpy.block_rollback()
    play musictrack "music/EdithPiaf-LaVieEnRose.ogg"
    scene black with fade
    show def1 "recollect" at basicfade
    $ renpy.pause(0.5)        
    show def1a "[[rek-{i}uh{/i}-{b}lekt{/b}] {i}verb{/i}" at basicfade
    $ renpy.pause(2.0)
    show def2 "1. to recall to mind; recover knowledge of by memory; remember." at basicfade
    $ renpy.pause(4.0)
    show def3 "2. to absorb (oneself) in spiritual meditation, especially during prayer." at basicfade
    $ renpy.pause(3.0)
    hide def1
    hide def1a
    hide def2
    hide def3       
    scene wallpaper with fade
    show furniture at furniture
    show chandelier at chandelier
    $ renpy.music.set_volume(0.3, 3.0, channel="musictrack")
    nar "My father once told me, \"Jacqueline, the world is shit.\""
    nar "It was the day the government took all our stuff.  My mother was haranguing the movers as they hauled away the furniture, the china, the cars..."
    nar "My father was in the back hall, sitting on the bare marble steps. They'd already taken the rugs. When he saw me, he summoned me with two crooked fingers, just like he did with the men who drove the car."
    nar "When I went to him, he said, \"Jacqueline, the world is shit. Always take what you want.\""
    nar "Then one of the movers broke something, something that sounded expensive.  And dad laughed, a real laugh, like that was the funniest thing he'd ever heard.  I don't think I'd ever seen him laugh before."
    nar "A few weeks later he jumped. They sealed all the office windows after that."
    nvl clear
    nar "Mom took over. She was much more ruthless than dad. She lopped off heads, she got things done.  She taught me everything I know about business."
    nar "It's funny, the things you think about when you've got nowhere to go."
    stop musictrack fadeout 3.0
    scene black with longdissolve
    nvl clear
    $ renpy.pause(2.0)

    play soundbg "sounds/clock.ogg" fadein 2.0
    show clock
    show minutehand at minutesforward, basicfade
    show hourhand at hoursforward6, basicfade  
    $ renpy.pause(4.0)
    stop soundbg fadeout 2.0    
    
    play soundbg "sounds/iv-machine.ogg" fadein 1.0 fadeout 1.0
    play soundbg2 "sounds/monitor.ogg" fadein 1.0
    scene white with longdissolve
    show branches
    show cloud1 at cloud1
    show nurse at basicfade
    show nurse2 at basicfade
    nurse "...So I told her, if you poo-poo in the potty, you can have an Oreo."
    show rbracket
    show lbracket
    pc "Oh, God."
    hide rbracket
    hide lbracket
    show cloud2 at cloud2
    nurse2 "Did it work?"
    nurse "Yes and no.  She pooped a little in the toilet, but then she got down before she was finished because she was excited about the cookie."
    show rbracket
    show lbracket
    pc "I don't believe in God, but please, God, make them shut up or go away."
    hide rbracket
    hide lbracket
    nurse2 "That reminds me of the time Bobby always wanted to pee outside in the sandbox..."
    show cloud3 at cloud3
    show rbracket
    show lbracket    
    pc "For the love of all that is holy--Buddha, Krishna, Allah, {b}someone{/b}."
    hide lbracket
    hide rbracket
    play soundbg3 "sounds/doorclose.ogg"
    show door at door
    show cframe at framecenter
    c "Excuse me, I was just stopping by to visit..."
    nurse "Oh, yes, of course.  We're just heading out."
    show rbracket
    show lbracket
    pc "Saved by Charles. It's about time he showed up."
    hide rbracket
    hide lbracket
    hide nurse
    hide nurse2
    show nursefly at fly
    show nursefly2 at fly  
    c "Listen, boss..."
    show rbracket
    show lbracket
    pc "I know that tone. It means I'm not going to like what you came here to tell me. Let's hear it."
    hide rbracket
    hide lbracket
    c "I told myself I wasn't going to come here, but we've been together a long time.  I couldn't leave without saying goodbye."
    c "I took that job with Milliman's firm.  They're sending me to Barbados.  It's a good gig. After what happened to you and Brenda, things are going to get dicey at the firm.  But I'll be honest with you, boss. I should have left a long time ago."
    show lbracket
    show rbracket
    pc "Damn it, Charles.  Don't say that.  I need you."
    hide lbracket
    hide rbracket
    c "Maybe if I hadn't pushed you...  No, I should have started pushing sooner."
    c "I can't blame myself.  You're responsible for your own actions.  The people around you can only do so much."
    show rbracket
    show lbracket
    pc "Why weren't you driving, Charles?  Why weren't you there?  What happened between us?  Damn it, tell me, make me remember."
    hide rbracket
    hide lbracket
    c "After that scene in the restaurant...{w} No, forget it.  That's the past, now, and if you don't get better, it won't even matter."
    c "If you make it out of this, I hope you get help, boss.  You need it."
    c "Goodbye. Good luck."
    hide cframe
    play soundbg3 "sounds/doorclose.ogg"
    show door at door
    $ renpy.pause(1.0)
    show rbracket
    show lbracket
    pc "Restaurant? He means Boccaccio's.  That's right, I went there for dinner."
    hide rbracket
    hide lbracket
    stop soundbg fadeout 1.0
    stop soundbg2 fadeout 1.0
    $ renpy.pause(1.0)
    
    #flashback clock
    play soundbg "sounds/clockchime.ogg" fadein 2.0
    scene black with fade
    show gear1
    show gear2 
    show gear3 
    show gear4 
    show gear5 
    show gear6 
    show gear7 
    $ renpy.pause(1.0)  
    show clock at basiccenter
    show hoursbackward12 at basiccenter
    show minutesbackward at basiccenter
    $ renpy.pause(4.0)
    $ renpy.music.set_volume(1.0, 0.0, channel="musictrack")
    stop soundbg fadeout 2.0
    scene restaurantbgzoom with longdissolve 
    play soundbg "sounds/restaurant.ogg" fadein 1.0
    play musictrack "music/Just_As_Soon.ogg" fadein 1.0
    show tray at tray
    $ neutralchar = "Jacqueline"
    $ renpy.pause(1.0)
    neutral "Where the hell is she?"
    $ renpy.pause(1.0)
    scene restaurant    
    show charles regular at right
    show jac at left
    with dissolve
    cr "Boss."
    pcs "I can't believe this."
    cr "Boss, I think we should go."
    pcs "What is it now?"
    cr "...You need help, boss."
    pcs "Help?  I don't need help.  I've never needed help."
    cr "I heard what you said to Kimber.  You can't treat her like that, boss.  She's been with you a long time."
    pcs "I don't pay you to worry about Kimber.  I pay you to keep quiet and do what you're told."
    pc "Charles didn't offer his opinion often, but when he did, I never liked it."
    cr "..."
    pcs "I'm ready to go.  Get the car."
    cr "...{w} No."
    pcs "Excuse me?"
    show charles leave at right with dissolve
    pcs "Where do you think you're going?"
    cr "Away from you."
    pcs "Charles, if you walk out that door--"
    hide charles leave with dissolve
    pcs "Charles!"        
    pc "I didn't think he'd actually go.  He'd never disobeyed me before.  I couldn't believe it."
    show waiter at right with dissolve
    w "Ms. Brown, is there a problem?"
    pcs "...No.  No problem."
    pcs "I'll have another glass of the Bordeaux."
    w "Very good, Ms. Brown."
    stop soundbg fadeout 1.0 
    show restaurantbg with fade
    nar "That's why Charles wasn't driving that night."
    show charles regular at center with dissolve   
    c "{i}I heard what you said to Kimber.  You can't treat her like that.{/i}"
    hide charles with dissolve
    nvl clear
    stop musictrack fadeout 1.0
    scene black with fade

    #flashback clock
    play soundbg "sounds/clock.ogg" fadein 2.0
    scene black with fade
    show gear1
    show gear2 
    show gear3 
    show gear4 
    show gear5 
    show gear6 
    show gear7 
    $ renpy.pause(1.0)  
    show clock at basiccenter
    show hoursbackward7 at basiccenter
    show minutesbackward at basiccenter
    $ renpy.pause(4.0)
    stop soundbg fadeout 2.0
    play musictrack "music/LightlessDawn.ogg" fadein 1.0
    scene darksky
    show rain
    show office
    with longdissolve
    show jac at left
    show kimber at right with dissolve
    pcn "When I returned from lunch earlier, I found Kimber in my office.  I'd been finding her in my office--and my files--much too often, lately."            
    pcs "What are you doing?"
    kr "Oh, Jacqueline, you're back already.  How did Delilah take the news? I was just getting the paperwork ready for Brenda."    
    pcn "I'd seen how quickly she shut the file drawer, and knew there was nothing in it even remotely related to the divorce. I never thought to question Kimber's word until I found out she was stealing. The bad publicity from a scam like that could set the firm back years. How long had she been lying to me? How often?"  
    pcs "Is that right?"
    kr "Brenda says she can start the process any time. I could take the papers to her tonight, if you like."
    show lightning at lightning behind office
    pcs "I know about the Dubai account."
    pcn "I'd meant to hold that bit back for an opportune moment, but it slipped out. I'd reached for the first weapon I had and that's what was in the holster."
    kr "What do you mean?"
    pcs "Embezzlement doesn't suit you, Kimber."
    kr "That's a serious allegation."
    pcs "You think I'd say anything if I couldn't prove it?  Did you think I wouldn't notice the way you're always pawing through my files?  And the electronic trail you've left behind? It's embarrassing."
    pcs "You might as well wear a Hello, My Name Is label with 'Thief' written on it.  Let's see... $279,456.23?  Does that sound about right? Or have you pocketed a few more pennies since then?"
    kr "I...It's not what you think. It's just an advance."
    pcs "Just an advance?  Why didn't you say so? That's fine with me. And I'm sure it will be fine with the board, and it will be fine with a jury, after Brenda annihilates you in court."
    kr "Jacqueline, you know my mother's sick.  She has to get treatment, the time frames are critical.  I swear to you, I will pay back every penny. But I have to have this money now, I can't wai--"
    pcs "No.  You asked me before and I told you no.  You have to earn your way, Kimber.  Just like I did."
    kr "Earn?  {i}Earn?{/i}  You practically inherited this company!  You've been wealthy your whole life!"
    pcs "{b}No{/b}, Kimber.  I worked my way up the ladder and became the head of a company on the verge of collapse.  I turned it around.  I built an empire.  In spite of my idiot family, the board, the investors, the competition... I did that.  Me!"
    kr "You weren't alone, I've been with you every step of the way."
    show lightning at lightning behind office
    pcn "All I could see were the numbers slowly rising as the pennies clinked one by one into Kimber's little piggy bank.  All I could see was investor confidence running down the drain as the story broke. And for what? Less than $300,000? It was a damned insult."
    pcs "Yes, as my dutiful assistant, my glorified secretary.  You should thank God each day I gave you this job, and here you are, stealing from me like a dog sneaking scraps under the table."
    kr "Jacqueline, can you hear yourself? Do you have any idea what you look like, what you {i}sound{/i} like? It's early afternoon and I can already smell it on your breath."
    pcs "I'm not going to make a spectacle out of you.  I could, but I won't.  Don't bother coming in tomorrow."
    show lightning at lightning behind office
    kr "You don't mean that.  We've been together twenty years."
    kr "I've stood by you through everything.  Through the audits and the market crash, through the power grabs, through everything.  I have always been loyal to you.  Please, just this once, help me. Stand by {i}me{/i}, Jacqueline."
    show lightning at lightning behind office    
    pcn "But it was too late. I never back down, especially not when I'm winning."    
    pcs "Don't bother cleaning out your desk."
    kr "You'll pay for this."
    hide kimber with dissolve
    show lightning at lightning behind office
    pcs "I very much doubt that."
    scene officebg with fade    
    nar "But I remember now, I was off-balance, even before I walked in and found her going through my desk again."
    nvl clear
    show kimber at center with dissolve
    #flashback
    k "{i}How did Delilah take the news?{/i}"
    hide kimber with dissolve
    nvl clear
    stop musictrack fadeout 1.0
    
    #flashback clock
    play soundbg "sounds/clock.ogg" fadein 2.0
    scene black with fade
    show gear1
    show gear2 
    show gear3 
    show gear4 
    show gear5 
    show gear6 
    show gear7 
    $ renpy.pause(1.0)  
    show clock at basiccenter
    show hoursbackward at basiccenter
    show minutesbackward at basiccenter
    $ renpy.pause(4.0)
    stop soundbg fadeout 2.0
    play musictrack "music/CoolVibes.ogg" fadein 1.0
    play soundbg "sounds/cafe.ogg" fadein 1.0
    scene bistro with longdissolve   
    show jac at left with dissolve
    show delilah at right with dissolve    
    pcn "Lunch with Delilah.  {b}The{/b} lunch.  I was already on edge when I got to the restaurant, but I tried to hide it as best I could. Nervous, me? I told myself I was under the weather and stress. It seemed less pathetic."   
    dr "So she pops back up after all this time? What does she want now?  Another handout? That last thing... what was it? Aromatherapy lip balm or something? What a joke."
    dr "What's wrong with you? You've barely touched your food."
    pcs "I'm fine."
    dr "Anyway, I've been meaning to talk to you about my role in the company. I know you don't think I'm ready, but I talked to Brenda, and I really--"
    pcs "I'm divorcing you."
    pcn "It came right out.  Just like that. My impulse control was clearly lacking that day."
    dr "That's funny."
    pcs "Is it?"
    dr "You can't be serious."
    pcs "Brenda's already drafted the papers. I signed them this morning and we'll finalize it tonight. You'll get your copy by mail shortly."
    dr "You... ha!  Oh, Jackie, you got me.  For a second--"
    pcs "I'm not joking."
    pcn "It took a moment, but when it sunk in, it was as though a switch had been flipped somewhere.  She went from disbelieving to furious in a nanosecond."
    dr "You--You bitch.  You think, after all this time, you can just ditch me for some young, pretty trophy wife who won't demand a real partnership?  A real marriage?"
    pcs "You've had your chance to play with my money, Delilah.  You can't say you didn't get a fair shake."
    dr "Your {i}money?{/i} {w} You--You want to make it about the money? Fine. Everything that's yours is mine."
    pcs "We'll see."    
    dr "Is there someone else?"
    pcs "No.  I just don't want you."
    pcn "As soon as it was out, I regretted it.  I didn't quite mean it.  Not like that.  Not that way, that cold.  But once it was out, I couldn't take it back. {w} I never take anything back."
    dr "...I {w}...I should have known you wouldn't change.  Mother warned me, Dr. Nolan warned me, I should have listened."
    hide delilah with dissolve
    pcn "And just like that, she was gone.  I'd prepared myself for a firestorm, for Armageddon and horsemen.  I'd even picked a restaurant where I could have a clean getaway.  And in the end she just got up and left. Blink, and she's gone."
    show charles regular at right with dissolve
    cr "Boss, is everything okay?"
    pcs "Get the car."
    stop soundbg fadeout 1.0
    scene bistrobg with fade    
    nar "What a busy day I had. But that wasn't all of it."
    nvl clear
    show delilah at center with dissolve   
    d "{i}So what does she want now?  Another handout?{/i}"
    hide delilah with dissolve    
    stop musictrack fadeout 1.0
    nvl clear
    
    #flashback clock
    play soundbg "sounds/clock.ogg" fadein 2.0
    scene black with fade
    show gear1
    show gear2 
    show gear3 
    show gear4 
    show gear5 
    show gear6 
    show gear7 
    $ renpy.pause(1.0)  
    show clock at basiccenter
    show hoursbackward12 at basiccenter
    show minutesbackward at basiccenter
    $ renpy.pause(4.0)
    stop soundbg fadeout 2.0
    scene sky
    show office
    with longdissolve
    play musictrack "music/LightlessDawn.ogg" fadein 1.0
    show jac at left with dissolve
    show sasha at right with dissolve  
    pcn "Sasha came to see me at the office, unannounced, even though she knows I hate surprises. I was already wound up about announcing the divorce, and I was irritated that Kimber had let my black sheep of a sister waltz in without proper warning."    
    pcs "Sasha?  {w}...Who let you in?"
    sr2 "Very funny.  I know I should have called, but it's so impersonal.  I wanted to talk with you face to face."   
    pcs "I'm supposed to meet Delilah for lunch soon. We have business to discuss."
    sr2 "Maybe we can get together tonight. Hang out, catch up.  How long has it been?"
    pcn "Four years, seven months, twenty-five days."
    pcs "Not sure.  Long time."
    sr2 "So let's do dinner.  We can talk. {w} I need some business advice from the expert."
    pcn "I can see where this is going."
    pcs "Yeah, maybe.  Check with Kimber."
    sr2 "Jac, come on.  I'm your {i}sister{/i}."
    pcs "The first rule of business is you don't cancel engagements.  You know that."
    pcn "Actually, she didn't know that.  She didn't know anything about business.  That was the whole problem.  That was why I had the high-rise office and she was still getting roped into organic free-range pyramid schemes."
    sr2 "Okay, you're right.  I'm just excited to see you, and I can't wait to tell you about my new idea."
    pcs "Right, sure."
    show airplane behind office
    pcn "My hands were sweating in anticipation of lunch, but I knew it wasn't anything a quick drink couldn't help."
    sr2 "And I heard about this new play, it's--Jac! It's not even noon."
    pcs "Right. So?"
    sr2 "Hello? You just had a double whiskey. What's wrong with you?"
    pcn "I hadn't been talking to her five minutes and she was already nagging me about something."
    pcs "Look, I'm about to get lunch."
    sr2 "I thought you stopped that."
    pcs "I'm a grown woman, Sasha.  I know my limit."
    sr2 "You're not supposed to drink at all, Jac.  That's how the program works."
    pcs "What the hell is this?  You pop up out of nowhere, after we haven't spoken in months and haven't seen each other in years, and now you're telling me how to run my life?"
    pcs "Of course I'm not stupid, I know you're not here to see me.  By 'business advice' you mean you need startup capital. What is it this time?  Energy crystals?  Magical jewelry?  Some kind of homeopathic bullshit?"
    sr2 "Jac, what on earth--don't you try to turn this around on me, that won't work.  You're the one who's drinking before noon when you pledged to stay sober.  How long has this been going on?  What does Lucy say?"
    pcs "I don't talk to Lucy anymore."
    sr2 "Jac, you can't ditch your sponsor. You can't do this alone."
    pcs "I already do everything alone. I can do whatever I want.  I've earned the right, I'm the one that keeps everything together, I'm the one that makes the money.  That's why you're here--you always come slinking back when you need some handout or favor."
    sr2 "Jac--"
    pcs "Shut up.  I'm going to lunch with my wife, my afternoon schedule is full, and I'm seeing the lawyer tonight.  You want to beg for scraps?  Fine.  I'll be at Boccaccio's around seven.  Show up, or don't, I don't care.  It's probably your only opportunity, so make the most of it."
    sr2 "You know who you sound like, don't you?"
    pcs "Enough, Sasha."
    sr2 "You always wanted to be like mom.  Well, congratulations.  You are {i}just{/i} like her. I hope you're proud of yourself."
    hide sasha with dissolve
    scene officebg with fade    
    nar "It stung, what she said.  More than she could possibly know.  I acted like I didn't care and let her have the last word."
    nar "I didn't know it might be the last word ever between us."    
    nvl clear
        
    scene wallpaper with fade
    show furniture:
        xalign 0.5 yalign 0.9, basicfade
    show chandelier:
        yalign 0.0 xalign 0.5, basicfade        
    nar "My mother withered at the end, just like the firm. She was haggard and old beyond her age, weathered by years of stress, overwork, and pressure. She kept the corner office, mostly as a sign of respect, and each morning we would file in for our orders."
    nar "It was always the same: a whiskey, a cigarette, and business talk."
    nar "As time passed, the talk got shorter.  Eventually, she would only listen and nod. She was too tired to actively participate."
    nar "After they put her on oxygen, and delivered a prognosis of liver cancer, the cigarette went, but the whiskey stayed."
    nvl clear
    nar "That one day, she looked bad, worse than usual. She gave the signal for her usual whiskey and no one moved. One of the senior executives suggested water."
    nar "When my mother looked at me I immediately poured her a whiskey, a double, and put it in her trembling hand."
    nar "She smiled at me.  She mumbled something--she was hard to understand in those last days--but I always thought she said, \"That's my daughter.\""
    nar "And when I took my own drink, it was so warm and so perfect. It was the best thing I'd ever tasted. I've never replicated that feeling, not with any drink, not at any time."
    nvl clear
    nar "That afternoon they found her dead behind her desk, the empty glass in her lap. They started calling the corner office the Brown cemetery."
    nar "That was going to be my resting place, too. I was ready for it. I was earning it. They were going to find me dead with huge mergers under my belt, with billions of dollars at my fingertips and dozens of foundations in my name."
    nar "But then I got a phone call, and smashed into a windshield, and everything changed."    
    nar "All those times before, when I tried to remember what happened to me, I was forgetting something."
    nvl clear
    scene black with fade
    show drink at basiccenter
    $ renpy.pause(1.0)
    nvlbottom "I was leaving something out."
    nvl clear
    show ice at drinkfill
    $ renpy.pause(0.7)    
    play soundbg3 "sounds/icecube.ogg"
    nvlbottom "My mind refused to let me remember.  I didn't want to remember."
    nvl clear
    show ice2 at drinkfill
    $ renpy.pause(0.7)  
    play soundbg3 "sounds/icecube.ogg"
    nvlbottom "I didn't want to admit they were right."
    nvl clear
    show ice3 at drinkfill
    $ renpy.pause(0.7)  
    play soundbg3 "sounds/icecube.ogg"
    $ renpy.pause(2.0)   
    nvl clear
    scene black with fade   
    nvlleft "It was dark."
    show rain at basic
    play soundbg "sounds/storm.ogg" fadein 1.0
    nvlleft "It was raining."    
    show road at basic behind rain
    nvlleft "I was driving."
    play soundbg2 "sounds/cellphonevibrate.ogg" fadein 0.5
    show phone at right, basic        
    nvlleft "The phone rang."
    show phone2 at right, basic
    nvlleft "The call was from Brenda."
    show lightning at lightning behind road
    stop soundbg2 fadeout 0.5
    nvlleft "And I was drunk."
    nvlleft "Not tipsy, not 'one too many.' Shit-faced drunk.  Embarrassing, loud, rude, pathetic drunk."
    nvlleft "I was distracted."            
    nvlleft "And I swerved off the road and drove into a tree."
    nvl clear    
    scene black with fade
    play soundbg3 "sounds/carcrash.ogg"
    stop soundbg fadeout 1.0
    $ renpy.pause(1.0)
    scene cracked
    nar "That's the reason I'm locked-in."
    nvl clear
    scene black with fade
    stop musictrack fadeout 1.0
    $ renpy.pause(2.0) 
    
label decision:
    $ renpy.music.set_volume(0.0, 0.0, channel="musictrack")
    $ persistent.decision = True
    $ renpy.block_rollback()
    play musictrack "music/EdithPiaf-LaVieEnRose.ogg"   
    scene black with fade
    show def1 "decision" at basicfade
    $ renpy.pause(0.5)        
    show def1a "[[dih-{b}sizh{/b}-{i}uh{/i}n] {i}noun{/i}" at basicfade
    $ renpy.pause(2.0)
    show def2 "1. the act or process of deciding; determination, as of a question or doubt, by making a judgement." at basicfade
    $ renpy.pause(4.0)
    show def3 "4. a judgement, as one formally pronounced by a court." at basicfade
    $ renpy.pause(3.0)
    hide def1
    hide def1a
    hide def2
    hide def3 
    
    $ renpy.music.set_volume(0.3, 3.0, channel="musictrack")
    scene wallpaper with fade
    show furniture:
        xalign 0.5 yalign 0.9, basicfade
    show chandelier:
        yalign 0.0 xalign 0.5, basicfade   
    nar "It's not easy, admitting you've done something wrong, or have been doing something wrong, or have always done something wrong.  At least, it's not easy for me.  But I've had some time to come to terms with what happened."
    nar "Now that I'm not hiding from what I did, my memories are clearer, more focused.  I've replayed that day over and over, trying to recall every detail, no matter how bad it was, no matter what I said or did."    
    nar "Finally, I remembered the final piece of the puzzle."
    nvl clear
    scene black with fade
    show phone at right, basic
    show phone2 at right, basic  
    nvlleft "I received a call from Brenda's home office number at 1:40 a.m."
    nvlleft "But Brenda was dead by midnight.  Supposedly suicide."
    nvlleft "Someone called me with her phone. But who?"           
    nvl clear
    scene wallpaper with fade
    show furniture:
        xalign 0.5 yalign 0.9, basicfade
    show chandelier:
        yalign 0.0 xalign 0.5, basicfade
    nar "I take risks in my line of business, and I'm comfortable with the risk of assuming the following:"        
    nar "1. My lawyer--no, my {i}friend{/i}--was murdered."
    nar "2. The killer called me using Brenda's phone."
    nar "3. The killer knew or guessed I was going to see Brenda."
    nar "4. I was likely an intended victim."
    nar "Maybe the killer panicked when I hadn't shown up yet, maybe the killer intended to lure me there with a pretense. I'll probably never know, and at this point, the details aren't important."
    nar "If I hadn't crashed..."
    nvl clear
    nar "No, there's no time to wonder about what could have happened."
    nar "Sooner or later, circumstances are going to force me to reveal that I'm awake.  But if I reveal myself to the wrong person... worst-case scenario, I might end up dead after all."
    nar "So there's only one question left to answer:"
    nar "{i}Who can I trust?{/i}"
    stop musictrack fadeout 2.0
    nvl clear
    scene black with fade
   
    #clock transition
    play soundbg "sounds/clock.ogg" fadein 2.0
    show clock
    show minutehand at minutesforward, basicfade
    show hourhand at hoursforward9, basicfade  
    $ renpy.pause(4.0)
    stop soundbg fadeout 2.0
       
label kimbervisit:
    $ renpy.block_rollback()
    scene white with longdissolve
    play soundbg "sounds/iv-machine.ogg" fadein 1.0 fadeout 1.0
    play soundbg2 "sounds/monitor.ogg" fadein 1.0
    show kframe at framecenter
    k "Jacqueline, it's me."
    show lbracket
    show rbracket
    pc "Odd, Kimber doesn't usually visit.  I assumed she'd given up on me."    
    hide lbracket
    hide rbracket
    show cloud3 at cloud1 behind kframe
    k "I have some bad news."
    show lbracket
    show rbracket    
    pc "Worse than having a tube down my throat?  I'm game.  Let's hear it."
    hide lbracket
    hide rbracket
    k "Delilah has produced a living will that gives her control of your interest in the firm in the event of your incapacitation.  Since Brenda is gone, and I can't prove it's fake, it looks like Delilah will have a controlling interest effective midnight tonight. Or at least, she thinks she will."
    show lbracket
    show rbracket
    pc "That is bad news.  Delilah has her strengths, but she doesn't know how to deal with the board--they'll eat her alive--and Meacham will be in control by the end of it.  God, I hate that guy."
    hide lbracket
    hide rbracket
    show cloud4 at cloud2 behind kframe
    k "This is so frustrating.  They're already talking about Frank Meacham running the firm.  Frank doesn't give a damn about your legacy, all he cares about is lining his own pockets."
    k "If I just knew you could hear me, that you knew what was going on.  If only there was some way you could communicate with us."
    menu:
        "{i}Should I trust Kimber and let her know I'm awake?{/i}"        
        "Wiggle your finger.":
            play soundbg3 "sounds/fabric.ogg"
            k "Jacqueline, did you... can you hear me?"
            menu:
                "Wiggle your finger again.":
                    play soundbg3 "sounds/fabric.ogg"
                    k "You're still... After everything... I..."
                    k "I won't fail.  I'll see this through to the end."
                    $ kimber = True
        "Do nothing.":
            k "I guess Nolan was telling the truth. You really are a vegetable."
            k "Goodbye, Jacqueline.  After the way you treated me and the others... Well.  In the end, it looks like we're all getting what we deserve."
    hide kframe
    play soundbg3 "sounds/doorclose.ogg"
    show door at door
    $ renpy.pause(2.0)
    stop soundbg fadeout 1.0
    stop soundbg2 fadeout 1.0
    if kimber == True:
        scene knvl with dissolve
        $ renpy.pause(0.5)
        show kkey with longdissolve
        $ renpy.pause(2.0)
    else:
        $ renpy.pause(2.0)
    scene black with fade    
    
    #clock transition
    play soundbg "sounds/clock.ogg" fadein 2.0
    show clock
    show minutehand at minutesforward, basicfade
    show hourhand at hoursforward12, basicfade  
    $ renpy.pause(4.0)
    stop soundbg fadeout 2.0    

label delilahvisit:
    $ renpy.block_rollback()
    scene white with longdissolve
    play soundbg "sounds/iv-machine.ogg" fadein 1.0 fadeout 1.0
    play soundbg2 "sounds/monitor.ogg" fadein 1.0
    show dframe at framecenter
    show rbracket
    show lbracket
    pc "Delilah visits regularly.  She spends a lot of time reading, judging from the page rustling, but she's unusually chatty today. She thinks she'll get what she always wanted."
    hide rbracket
    hide lbracket    
    d "Oh, Jackie.  Remember when the firm finally turned around and you didn't have to stress so much anymore?  We used to skip out early, get drunk at the corner bar, then hire a limo and drive around the city flashing the people waiting in line at the clubs."
    show rbracket
    show lbracket
    pc "We were way too old to be acting like that. I'm surprised you talked me into it."
    hide rbracket
    hide lbracket
    d "We had so much fun, didn't we?"
    show rbracket
    show lbracket
    pc "...I'd forgotten. You were always the spontaneous one.  That's what attracted me to you.  You were so different compared everyone around me.  You were so different from me.  And I needed that."    
    hide rbracket
    hide lbracket
    d "We took a vow, didn't we?  Until death do we part.  I meant it, at least.  I wish I knew if you were in there.  Dr. Nolan says... well.  Dr. Nolan wants me to stay positive, I'm sure.{w}  How about it, Jackie?  Are you still in there?"
    menu:
        "{i}Should I trust Delilah and let her know I'm awake?{/i}"
        "Wiggle your finger.":
            play soundbg3 "sounds/fabric.ogg"
            d "Jac--oh, Dr. Nolan was right! You can hear me!"
            d "Don't you worry, Jackie.  I'll take care of you."
            d "You'll never have to worry about anything else again."
            $ delilah = True
        "Do nothing.":
            d "Huh.  I thought maybe... but no."
            d "{size=15}I knew it was over. What does it even matter.{/size}"
    hide dframe 
    play soundbg3 "sounds/doorclose.ogg"
    show door at door
    $ renpy.pause(2.0)
    stop soundbg fadeout 1.0
    stop soundbg2 fadeout 1.0
    if delilah == True:
        scene dnvl with dissolve
        $ renpy.pause(0.5)
        show dkey with longdissolve
        $ renpy.pause(2.0)
    else:
        $ renpy.pause(2.0)
    scene black with fade
            
    #clock transition
    play soundbg "sounds/clock.ogg" fadein 2.0
    show clock
    show minutehand at minutesforward, basicfade
    show hourhand at hoursforward3, basicfade  
    $ renpy.pause(4.0)
    stop soundbg fadeout 2.0
    $ renpy.pause(3.0)
    
label sashavisit:
    $ renpy.block_rollback()
    scene white with fade
    play soundbg "sounds/iv-machine.ogg" fadein 1.0 fadeout 1.0
    play soundbg2 "sounds/monitor.ogg" fadein 1.0
    show sframe at framecenter
    show rbracket
    show lbracket    
    pc "Sasha comes to visit, usually to report that she has nothing to report, which doesn't surprise me.  I've figured out more, lying here like a knot on a log, than she has learned after running all over the place and harassing the police. Apparently word travels fast, and she's found out about Delilah's power-grab and she doesn't approve." 
    hide lbracket
    hide rbracket
    s "...And Kimber thinks this will be a disaster."
    s "I don't know what to do.  You were always the one that made the tough decisions.  But I won't give up.  I'll do what it takes.  I have to.  First dad, then mom, and now you... I'm the only one left."
    menu:
        "{i}Should I trust Sasha and let her know I'm awake?{/i}"
        "Wiggle your finger.":
            play soundbg3 "sounds/fabric.ogg"
            s "Jac, you--you heard me!  But that means... Dr. Nolan lied about you being in a coma.  She must know you're awake.  {w}That miserable old bat!"
            show rbracket
            show lbracket
            pc "Finally, someone agrees with me."
            hide rbracket
            hide lbracket
            s "But why would she lie?  Unless... Sit tight, Jac."
            s "Wait... {w}Here."
            show rbracket
            show lbracket
            pc "She moves my hand, putting my little finger over something smooth and round.  The call button."
            hide rbracket
            hide lbracket
            s "Just in case.  I have to check on a few things.  Sit tight."
            $ sasha = True
        "Do nothing.":
            s "I hoped Nolan was wrong."
            s "I'm on my own, then.  But I guess I've always been on my own, haven't I?"            
    hide sframe
    play soundbg3 "sounds/doorclose.ogg"
    show door at door
    $ renpy.pause(2.0)
    stop soundbg fadeout 1.0
    stop soundbg2 fadeout 1.0
    if sasha == True:
        scene snvl with dissolve
        $ renpy.pause(0.5)
        show skey with longdissolve
        $ renpy.pause(2.0)
    else:
        $ renpy.pause(2.0)
    scene black with fade

    $ renpy.block_rollback()    
    scene black with fade
    show def1 "fate" at basicfade
    $ renpy.pause(0.5)        
    show def1a "[[feyt] {i}noun{/i}" at basicfade
    $ renpy.pause(2.0)
    show def2 "1. the universal principle or ultimate agency by which the order of things is presumably prescribed." at basicfade
    $ renpy.pause(4.0)
    show def3 "4. a prophetic declaration of what must be." at basicfade
    $ renpy.pause(3.0)
    scene black with longdissolve          
    
label ending:
    $ renpy.block_rollback()
    if kimber == True and delilah == False and sasha == False:
        jump ending1
    elif kimber == True and delilah == True and sasha == False:
        jump ending2
    elif kimber == True and delilah == True and sasha == True:
        jump ending3
    elif kimber == False and delilah == True and sasha == False:
        jump ending4
    elif kimber == False and delilah == True and sasha == True:
        jump ending5
    elif kimber == False and delilah == False and sasha == True:
        jump ending6
    elif kimber == True and delilah == False and sasha == True:
        jump ending7
    else:
        jump ending8
        
label endingcount:
    $ persistent.unlocked = True 
    if persistent.endings == 8:
        $ persistent.complete = True
    else:
        pass    
    if persistent.endings == 1:
        show def1a "You have unlocked one ending." 
    elif persistent.endings == 2:
        show def1a "You have unlocked two endings." 
    elif persistent.endings == 3:
        show def1a "You have unlocked three endings."
    elif persistent.endings == 4:
        show def1a "You have unlocked four endings." 
    elif persistent.endings == 5:
        show def1a "You have unlocked five endings. \nYour dedication is  admirable."
    elif persistent.endings == 6:
        show def1a "You have unlocked six endings. \nYou're almost there." 
    elif persistent.endings == 7:
        show def1a "You have unlocked seven endings. \nPush for the finish."
    else:
        show completedendings:
            xalign 0.5 yalign 0.7, basicfade
        play soundbg3 "sounds/jackpot.ogg" fadein 1.0 fadeout 3.0      
        show def1a "You have unlocked all eight endings.\nYou've earned {a=http://www.luckyspecialgames.com/locked-in/locked-in_banners.html}bragging rights{/a}."    
    $ renpy.pause(5.0)
    stop soundbg3 fadeout 3.0
    
label credits:
    $ renpy.block_rollback()
    $ persistent.credits = True
    scene black with fade  
    play musictrack "music/Just_AS_Soon.ogg" fadein 2.0   
    show creditsheader "CREDITS" at creditsheader
    $ renpy.pause(0.5)
    show credits "Story, Graphics, and Script by saguaro \n{a=http://www.luckyspecialgames.com}http://www.luckyspecialgames.com{/a} \n\nMade using Ren'Py\n{a=http://www.renpy.org/}http://www.renpy.org/{/a}  \n\n{b}Music{/b}\nKevin MacLeod \n{a=http://incompetech.com/}http://incompetech.com/{/a} \n\nEdith Piaf \n\"La Foule\" \n\"La Vie En Rose\" \nRecordings from the {a=http://archive.org/details/EdithPiaf-01-10}Internet Archive{/a} \n\n{b}Fonts{/b} \nDustimo \nLeander \n\n{b}Sound Assets{/b} \n{a=http://www.freesound.org}freesound.org{/a}: \naudible-edge, cognito perceptu, andriala, gezortenplotz, krcrawley, nofeedbak, JamesOC, paubg_pou, Glaneur de sons, redjim, dobroide, kstein1, barrigan, RHumphries, snardin42, klankschap, eric5335, cmusounddesign, nicStage, digifishmusic, DJ Burnham,  UncleSigmund, sagetyrtle, guitarguy1985, and ddohler \n\n{a=http://www.freesfx.co.uk}freesfx{/a}: \ngr8sfx \n\n{b}Graphic Assets{/b} \n{a=http://openclipart.org/}Open Clip Art Library{/a} \n{a=http://www.clker.com/}Clker.com{/a} \n{a=http://scraps.statchoo.com}Statchoo Scraps{/a} \n{a=http://www.dinpattern.com}Din Pattern{/a} \n\n{a=http://www.deviantart.com}DeviantArt{/a}: \nhotpinkscorpion, Pandablubb, tigers-stock, hexe78, Niteshader, luvelia, enon013, Sirius-sdz, and JavierZhX \n\n{a=http://www.flickr.com}Flickr{/a}: \nkimncris fan, Niina <3 C, hdzimmerman, shiot's run \n\n{b}Special Thanks{/b} \n{a=http://lemmasoft.renai.us/forums/}The Lemma Soft Forums{/a} \n\n Thanks to everyone who tested the demo and version 1.0 of the game and offered feedback: AxemRed, Anna, Egressus, kaleidofish, sapiboonggames, Gear, Graph, Arowana, Reikun, Nuxill, cuttlefish, Victoria Jennings, HPDragoon, ixWishing, azureXtwilight \n\n...And especially TheTourist, who took on the beta build like a champ." at credits
    $ renpy.pause(20.0)
    stop musictrack fadeout 2.0
    scene black with longdissolve
    return
