init:
    transform credits:
        parallel:
            alpha 0.0
            linear 1.0 alpha 1.0
        parallel:
            yalign -1.0 xalign 0.5
            linear 25.0 yalign 2.0    
            
    transform creditsheader:
        parallel:
            alpha 0.0
            linear 3.0 alpha 1.0
        parallel:
            yalign 1.2 xalign 0.5
            linear 7.5 yalign -0.2
    
    transform charintro:
        on show:
            xalign -0.2
            parallel:
                alpha 0.0
                linear 2.0 alpha 1.0
            parallel:
                linear 1.5 xalign 0.0
        on hide:
            parallel:
                linear 1.0 alpha 0.0
            parallel:
                linear 1.5 xalign -0.2

    transform percent:
        xalign 0.8 
        parallel:
            yalign -0.2
            linear 2.5 yalign 0.2
        parallel:
            alpha 0.0
            linear 2.5 alpha 1.0            
        
    transform flock:
        xalign 1.1 yalign 0.4
        linear 45.0 xalign -0.1      
    
    transform divebomb:
        xalign 0.4 yalign 0.2
        alpha 0.0
        linear 0.5 alpha 1.0
        block:
            parallel:
                choice:
                    linear 0.2 xalign 0.4
                choice:
                    linear 0.3 xalign 0.3
            parallel:
                choice:
                    linear 0.2 yalign 0.3
                choice:
                    linear 0.3 yalign 0.2
            repeat
            
    transform divebomb2:
        xalign 0.6 yalign 0.2
        alpha 0.0
        linear 0.5 alpha 1.0
        block:
            parallel:
                choice:
                    linear 0.3 xalign 0.6
                choice:
                    linear 0.2 xalign 0.7
                choice: 
                    linear 0.2 xalign 0.65
            parallel:
                choice:
                    linear 0.2 yalign 0.3
                choice:
                    linear 0.3 yalign 0.2
                choice:
                    linear 0.3 yalign 0.35
            repeat        
    
    transform fly:
        alpha 0.0
        pause 0.5
        linear 1.0 alpha 1.0
        linear 1.0 alpha 0.0
    
    image kfull = "images/kimber_full.png"
    image dfull = "images/delilah_full.png"
    image sfull = "images/sasha_full.png"
    
    image cframe = "images/frame_c.png"
    image kframe = "images/frame_k.png"
    image dframe = "images/frame_d.png"
    image sframe = "images/frame_s.png"        
    
    transform tray:
        parallel:
            xalign 2.5
            linear 4.0 xalign -2.0
        parallel:
            yalign 1.5
            block:                
                linear 1.0 yalign 1.0
                linear 1.0 yalign 1.5
                repeat                
    
    transform lbracket:
        on show:            
            parallel:
                xalign -0.2 yalign 1.0
                linear 0.3 xalign 0.0
            parallel:
                alpha 0.0
                linear 0.2 alpha 1.0
                
        on hide:
            parallel:
                linear 0.3 xalign -0.25
            parallel:
                linear 0.2 alpha 0.0

    transform rbracket:
        on show:
            parallel:
                xalign 1.2 yalign 1.0
                linear 0.3 xalign 1.0
            parallel:
                alpha 0.0
                linear 0.2 alpha 1.0                
        on hide:
            parallel:
                linear 0.3 xalign 1.25
            parallel:                
                linear 0.2 alpha 0.0               
    
    transform framecenter:
        on show:
            parallel:            
                xalign 0.5 yalign -0.5
                linear 1.5 yalign 0.3
            parallel:
                alpha 0.0
                linear 1.5 alpha 1.0
        on hide:
            parallel:
                linear 2.0 alpha 0.0
            parallel:
                linear 2.0 yalign 3.0

    transform frameleft:
        on show:
            parallel:
                xalign 0.0 yalign -0.5
                linear 1.5 yalign 0.3
            parallel:
                alpha 0.0
                linear 1.5 alpha 1.0
        on hide:
            parallel:                
                linear 2.0 yalign 3.0
            parallel:
                linear 2.0 alpha 0.0
        
    transform frameright:
        on show:
            parallel:
                xalign 1.0 yalign -0.5
                linear 1.5 yalign 0.3
            parallel:
                alpha 0.0
                linear 1.5 alpha 1.0
        on hide:
            parallel:
                linear 2.0 yalign 3.0
            parallel:
                linear 2.0 alpha 0.0

    transform frameattack:
        rotate 0
        block:
            linear 0.1 rotate 3
            pause 0.2
            linear 0.1 rotate -1            
            pause 0.2  
            linear 0.1 rotate 2
            pause 0.2
            linear 0.1 rotate -1
            pause 0.2
            linear 0.1 rotate 2
            pause 0.2
            linear 0.1 rotate -1
            pause 0.2
        repeat        
    
    image cloud1 = "images/cloud1.png"
    image cloud2 = "images/cloud2.png"
    image cloud3 = "images/cloud3.png"
    image cloud4 = "images/cloud4.png"
    
    transform cloud1:
        xalign 1.5
        choice:
            yalign -0.05
        choice:
            yalign 0.0
        linear 60.0 xalign -0.5        
        repeat
        
    transform cloud2:   
        xalign -0.3
        choice: 
            yalign 0.05
        choice:
            yalign 0.0
        linear 50.0 xalign 1.3
        pause 1.5
        repeat
    
    transform cloud3:
        xalign -0.5
        choice:
            yalign 0.0
        choice:
            yalign -0.05
        linear 55.0 xalign 1.5
        repeat
        
    transform cloud4:
        xalign 1.5
        choice:
            yalign 0.0
        choice:
            yalign -0.05
        linear 45.0 xalign -0.5
        pause 3.0
        repeat
    
    image gear1:        
        "images/gears/gear1.png"
        xpos 453 ypos 164 alpha 0.0
        parallel:
            linear 1.0 alpha 0.5         
        parallel:
            block:
                rotate 0
                linear 5.0 rotate 360
                repeat
                
    image gear2:        
        "images/gears/gear2.png"
        xpos 623 ypos 573 alpha 0.0
        parallel:
            linear 1.0 alpha 0.5
        parallel:
            block:
                rotate 0
                linear 4.0 rotate 360
                repeat
       
    image gear3:
            "images/gears/gear3.png"
            xpos 263 ypos 370 alpha 0.0
            parallel:
                linear 1.0 alpha 0.5
            parallel:
                block:
                    rotate 0
                    linear 7.0 rotate -360
                    repeat
        
    image gear4:
        "images/gears/gear4.png"
        xpos 524 ypos 334 alpha 0.0
        parallel:
            linear 1.0 alpha 0.5
        parallel:
            block:
                rotate 0
                linear 5.0 rotate 360
                repeat
        
    image gear5:
        "images/gears/gear5.png"
        xpos 204 ypos 491 alpha 0.0
        parallel:
            linear 1.0 alpha 0.5
        parallel:
            block:
                rotate 0
                linear 7.0 rotate -360
                repeat              
        
    image gear6:
        "images/gears/gear6.png"
        xpos 390 ypos 594 alpha 0.0
        parallel:
            linear 1.0 alpha 0.5
        parallel:
            block:
                rotate 0
                linear 6.0 rotate -360
                repeat            
       
    image gear7:
        "images/gears/gear7.png"
        xpos 415 ypos 341 alpha 0.0
        parallel:
            linear 1.0 alpha 0.5
        parallel:
            block:
                rotate 0
                linear 4.0 rotate -360
                repeat

    image furniture = "images/furniture.png"
    image chandelier = "images/chandelier.png"
    
    transform furniture:
        on show:        
            xalign 0.5 yalign 1.5 alpha 0.0
            linear 3.0 yalign 0.9 alpha 1.0
        on hide:
            linear 1.0 alpha 0.0
            
    transform chandelier:
        on show:
            xalign 0.5 yalign -0.5 alpha 0.0
            linear 5.0 yalign 0.0 alpha 1.0
        on hide:
            linear 1.0 alpha 0.0
            
    transform fan:
        xalign 0.5 yalign 0.5
        parallel:
            alpha 0.0 
            linear 1.5 alpha 0.5
            linear 1.5 alpha 0.0
        parallel:
            rotate 0
            linear 1.0 rotate 360
            repeat
   
    image drink:
        "images/glass.png"
        
    image ice = "images/ice3.png"
    image ice2 = "images/ice2.png"
    image ice3 = "images/ice1.png"
    
    # this is my favorite.  the ice cubes randomly settle.
    transform drinkfill:
        yalign -2.0 xalign 0.5
        linear 0.7 yalign 0.4   
        choice:
            rotate 0
            linear 0.2 rotate 5
        choice:
            rotate 0
            linear 0.1 rotate -5        
            
    image clock:
        "images/clock/clockface.png"
        yalign 0.5 xalign 0.5
        alpha 0.7

    image hourhand:
        "images/clock/hourhand.png"
        xalign 0.5 yalign 0.5
    
    transform hoursforward3:
        subpixel True       
        block:
            rotate 0
            linear 60.0 rotate 360
            repeat

    transform hoursforward6:
        subpixel True          
        rotate 0
        linear 0.0 rotate 100
        block:
            rotate 100
            linear 60.0 rotate 460
            repeat     

    transform hoursforward9:
        subpixel True          
        rotate 0
        linear 0.0 rotate 200
        block:
            rotate 200
            linear 60.0 rotate 560
            repeat    

    transform hoursforward12:
        subpixel True          
        rotate 0
        linear 0.0 rotate 300
        block:
            rotate 300
            linear 60.0 rotate 660
            repeat                
            
    image minutehand:
        "images/clock/minutehand.png"
        xalign 0.5 yalign 0.5
    
    transform minutesforward:
        subpixel True  
        block:
            rotate 0
            linear 5.0 rotate 360
            repeat
   
    image hoursbackward:
        "images/clock/hourhand.png"
        xalign 0.5 yalign 0.5 rotate -230        
        block:
            rotate 0
            linear 36.0 rotate -360
            repeat
           
    image hoursbackward7:
        "images/clock/hourhand.png"
        xalign 0.5 yalign 0.5
        rotate 0
        linear 0.0 rotate 100
        
        block:
            rotate 100
            linear 36.0 rotate -460
            repeat            
            
    image hoursbackward12:
        "images/clock/hourhand.png"
        xalign 0.5 yalign 0.5
        rotate 0
        linear 0.0 rotate -90
        
        block:
            rotate -90
            linear 36.0 rotate -450
            repeat        
           
    image minutesbackward:        
        "images/clock/minutehand.png"
        xalign 0.5 yalign 0.5 rotate 170
        
        block:
            rotate 0
            linear 3.0 rotate -360
            repeat

    transform clocktransminute:
        on show: 
            alpha 1.0
        on hide:
            linear 2.0 alpha 0.0
            
    transform clocktranshour:
        on show:
            alpha 1.0
        on hide:
            linear 1.0 alpha 0.0

    transform lock:
        subpixel True
        xpos 125 ypos 180
        rotate 0
        linear 0.0 rotate 30
        block:
            linear 0.75 rotate -30
            linear 0.65 rotate 25
            linear 0.60 rotate -25
            linear 0.55 rotate 20
            linear 0.50 rotate -20
            linear 0.45 rotate 15
            linear 0.35 rotate -15
            linear 0.30 rotate 10
            linear 0.25 rotate -10
            linear 0.20 rotate 5
            linear 0.15 rotate -5
            linear 0.1 rotate 0            
            
    image rain:
        "images/rain/rain1.png"
        0.1
        "images/rain/rain2.png"
        0.1
        "images/rain/rain3.png"
        0.1
        repeat
                
    image lightning:
        choice:
            "images/lightning.png"
        choice:
            "images/lightning2.png"            
        choice:
            "images/lightning3.png"
        yalign 0.0
        choice:
            xalign 0.9
        choice:
            xalign 0.7
        choice:
            xalign 0.3
        choice:
            xalign 0.1
        choice:
            xalign 0.6
        choice: 
            xalign 0.5

    transform lightning:
        alpha 0.0
        linear 0.25 alpha 1.0
        linear 0.25 alpha 0.0
                        
    transform storm:
        on show:
            alpha 0.0
            linear 3.0 alpha 1.0        
        on hide:
            linear 3.0 alpha 0.0
            
    image trees1 = "images/treesfg.png"
    image trees2 = "images/treesbg.png"
            
    transform introbg:
        on show:
            alpha 0.0 xalign 0.5 yalign 0.0
            linear 3.0 alpha 1.0
        on hide:
            parallel:
                alpha 1.0
                linear 5.0 alpha 0.0
            parallel:                
                linear 4.0 yalign 1.0             
                
    transform intro:
        xalign 2.5 yalign 1.0
        linear 5.5 xalign -2.0        
    
    transform logo:
        on show:
            parallel:
                alpha 0.0 xalign 0.5
                linear 7.0 alpha 1.0
            parallel:
                yalign 0.0           
                linear 3 yalign 0.3
        on hide:
            parallel:
                alpha 1.0 xalign 0.5
                linear 7.0 alpha 0.0
            parallel:
                yalign 0.3
                linear 4.0 yalign 1.5
                
    image elevator:
        "images/elevator.png"
        pause 0.5
        "images/elevator2.png" 

    transform elevator:    
        alpha 0.0 xalign 0.0            
        linear 1.0 alpha 0.5       
        linear 1.0 alpha 0.0
                       
    transform drawer:
        parallel:
            alpha 0.0 xalign 0.0
            linear 1.0 alpha 0.5         
            linear 0.5 alpha 0.0
        parallel:
            ease 1.0 xalign 1.0    
        
    transform curtain:
        parallel:
            alpha 0.0 xalign 0.0
            linear 1.0 alpha 0.5         
            linear 0.5 alpha 0.0
        parallel:
            ease 1.5 xalign 1.0

    transform faucet:
        parallel:
            alpha 0.0 yalign 0.0
            linear 2.0 alpha 0.5
            linear 1.0 alpha 0.0
        parallel:
            linear 3.0 yalign 1.0        
            
    transform door:
        parallel:
            alpha 0.0 yalign 0.0
            linear 1.0 alpha 0.5
            linear 1.0 alpha 0.0
        parallel:    
            linear 4.0 yalign 1.0

    transform windowshut:
        parallel:
            alpha 0.0 yalign 1.0
            linear 0.75 alpha 0.5
            linear 0.75 alpha 0.0
        parallel:
            linear 2.0 yalign -0.5            

    transform screendoor:
        parallel:
            alpha 0.0 yalign 0.0
            linear 1.0 alpha 0.5
            linear 1.0 alpha 0.0
        parallel:    
            linear 3.0 yalign 1.5
            
    transform basic:
        on show:            
            yalign 1.0 alpha 0.0
            linear 1.0 alpha 1.0
        on hide:
            linear 1.0 alpha 0.0    

    transform basicfade:
        on show:
            alpha 0.0
            linear 1.0 alpha 1.0
        on hide:
            linear 1.0 alpha 0.0                        
            
    transform basiccenter:
        on show:
            yalign 0.5 xalign 0.5 alpha 0.0
            linear 2.0 alpha 1.0
        on hide:
            linear 2.0 alpha 0.0            
            
    image ambulance:
        "images/ambulance/a1.png"
        0.2
        "images/ambulance/a2.png"
        0.2
        "images/ambulance/a3.png"
        0.2
        "images/ambulance/a4.png"
        0.2
        "images/ambulance/a5.png"
        0.2
        "images/ambulance/a6.png"
        0.2
        "images/ambulance/a5.png"        
        0.2        
        "images/ambulance/a4.png"
        0.2
        "images/ambulance/a3.png"
        0.2
        "images/ambulance/a2.png"
        0.2
        repeat        
        
    transform emergency:
        xalign -1.0 
        linear 3.0 xalign 3.5
